Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Stefan Monnier <[email-masked]>
Date: Mon, 15 Aug 2022 10:19:01 -0400

>> If you are willing to lose my ability to debug complex redisplay
>> problems in many cases, sure, go ahead.
> Why? You would customize an option to a lower value, and go on to debugging.

I suspect that the "large-file-threshold" and the "long-line-threshold"
can both be kept small enough that they accommodate the case of Eli (or
myself) running a slow build of Emacs on a slowish machine without
significantly affecting those who could live with larger thresholds.

IOW, I think this part of your discussion should wait to see what actual
thresholds seem to work well in practice because it may prove to be
a non-problem.

        Stefan